/* 枠付きgetline()でワイルドカードを入力する */

#include <iocslib.h>
#include "defines.h"
#include "menu.h"
#include "skey.h"
#include "getline.h"

static _GETLNDT gdt;

int OpenWildChange()
{
	if (OpenGetline(&gdt,MAXFILEEXT*10,MAXFILEEXT,1)) return(-1);
	return(0);
}

CloseWildChange()
{
	CloseGetline(&gdt);
}

int WildChange(int *x,int *y,MCOLORS *col,unchar wild[])
/* ワイルドカード変更 */
{
int ret,rcode[MRCODE];
unchar *wget;
_MENU_DATA mdata;
	set_dget_data(&mdata);
	mdata.cwaku=1;
	mdata.title="[ﾜｲﾙﾄﾞｶｰﾄﾞ]";
	mdata.auto_ret|=BIT6; /* 入力不可文字処理 */
	ret=cgetline(&gdt,x,y,wild,wild,":\\",&mdata,col,&wget,rcode);
	puttext(*x,*y,wget);
	free(wget);
	if (wild[0]==0) strcpy(wild,"*"); /* 入力が無い時は"*"になる */
	return(ret==0);
}
